The Open Group Base Specifications Issue 7
IEEE Std 1003.1, 2013 Edition
Copyright © 2001-2013 The IEEE and The Open Group

#### NAME

> fmin, fminf, fminl - determine minimum numeric value of two floating-point numbers

#### SYNOPSIS

> ``#include <math.h>
> double fmin(double` x`, double` y`);
> float fminf(float` x`, float` y`);
> long double fminl(long double` x`, long double` y`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> These functions shall determine the minimum numeric value of their arguments. [MX] NaN arguments shall be treated as missing data: if one argument is a NaN and the other numeric, then these functions shall choose the numeric value.

#### RETURN VALUE

> Upon successful completion, these functions shall return the minimum numeric value of their arguments.

> [MX] If just one argument is a NaN, the other argument shall be returned.

> If x and y are NaN, a NaN shall be returned.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> fdim, fmax

> XBD <math.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the ISO/IEC 9899:1999 standard.

#### Issue 7

> Austin Group Interpretation 1003.1-2001 #008 is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2013 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]